Bug 101322 - kernel oops w/ failing drive
kernel oops w/ failing drive
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-30 17:09 EDT by Stig Hackvan
Modified: 2007-04-18 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stig Hackvan 2003-07-30 17:09:58 EDT
I have a failing hard drive, but the kernel isn't s'posed to oops on that sorta
thing...  the bad drive (hdc) is mounted read-only and is not a root drive...


Description of problem:

Jul 29 21:06:23 uways smartd: Device: /dev/hda, S.M.A.R.T. Attribute: 1 Changed 3
Jul 29 21:06:23 uways smartd: Device: /dev/hdc, Failed attribute: 2
Jul 29 21:09:12 uways xscreensaver(pam_unix)[2478]: authentication failure;
logname= uid=500 euid=500 tty=:0.0 ruser= rhost=  user=stig
Jul 29 21:09:14 uways xscreensaver(pam_unix)[2478]: authentication failure;
logname= uid=500 euid=500 tty=:0.0 ruser= rhost=  user=root
Jul 29 21:15:03 uways su(pam_unix)[21179]: session opened for user stig by
stig(uid=0)
Jul 29 21:15:10 uways su(pam_unix)[21179]: session closed for user stig
Jul 29 21:32:35 uways kernel: Unable to handle kernel NULL pointer dereference
at virtual address 00000000
Jul 29 21:32:35 uways kernel:  printing eip:
Jul 29 21:32:35 uways kernel: c01315cc
Jul 29 21:32:35 uways kernel: *pde = 00000000
Jul 29 21:32:35 uways kernel: Oops: 0002
Jul 29 21:32:35 uways kernel: nls_iso8859-1 loop mga agpgart parport_pc lp
parport sd_mod autofs
tulip ipt_REJECT iptable_filter ip_tables sg sr_mod ide-scsi scsi_mod ide-cd
cdrom keybdev
Jul 29 21:32:35 uways kernel: CPU:    0
Jul 29 21:32:35 uways kernel: EIP:    0060:[<c01315cc>]    Not tainted
Jul 29 21:32:35 uways kernel: EFLAGS: 00013202
Jul 29 21:32:35 uways kernel:
Jul 29 21:32:35 uways kernel: EIP is at filemap_fdatawait [kernel] 0x1c
(2.4.20-18.9)
Jul 29 21:32:35 uways kernel: eax: 00000000   ebx: d71e12f8   ecx: d71e11c0  
edx: 00000000
Jul 29 21:32:35 uways kernel: esi: d71e1268   edi: d71e1278   ebp: 00000000  
esp: c1de5f50
Jul 29 21:32:35 uways kernel: ds: 0068   es: 0068   ss: 0068
Jul 29 21:32:35 uways kernel: Process keventd (pid: 2, stackpage=c1de5000)
Jul 29 21:32:35 uways kernel: Stack: 00000000 00000001 d71e11c0 ce5be05c
000026ef c015a4a1 d71e1268 00000000
Jul 29 21:32:35 uways kernel:        c1de4000 ce5be000 c1de5f90 c1de5f90
c1de4306 c1de4000 c012137d 00000000
Jul 29 21:32:35 uways kernel:        c039b798 c039b798 c012af60 c0259a7b
c012b065 c0308450 c1de5fb0 00000000
Jul 29 21:32:35 uways kernel: Call Trace:   [<c015a4a1>]
try_to_sync_unused_inodes [kernel] 0x101 (0xc1de5f64))
Jul 29 21:32:35 uways kernel: [<c012137d>] __run_task_queue [kernel] 0x4d
(0xc1de5f88))
Jul 29 21:32:35 uways kernel: [<c012af60>] context_thread [kernel] 0x0 (0xc1de5f98))
Jul 29 21:32:35 uways kernel: [<c012b065>] context_thread [kernel] 0x105
(0xc1de5fa0))
Jul 29 21:32:35 uways kernel: [<c012af60>] context_thread [kernel] 0x0 (0xc1de5fc4))
Jul 29 21:32:35 uways kernel: [<c012af60>] context_thread [kernel] 0x0 (0xc1de5fe0))
Jul 29 21:32:35 uways kernel: [<c010727d>] kernel_thread_helper [kernel] 0x5
(0xc1de5ff0))
Jul 29 21:32:35 uways kernel:
Jul 29 21:32:35 uways kernel:
Jul 29 21:32:35 uways kernel: Code: 89 02 89 50 04 c7 03 00 00 00 00 8b 06 89 58
04 89 03 89 73
Jul 29 21:36:23 uways smartd: Device: /dev/hdc, Failed attribute: 2
Jul 29 22:06:24 uways smartd: Device: /dev/hdc, Failed attribute: 2
Jul 29 22:21:19 uways kernel:  hdc: dma_intr: status=0x51 { DriveReady
SeekComplete Error }
Jul 29 22:21:19 uways kernel: hdc: dma_intr: error=0x40 { UncorrectableError },
LBAsect=38361046, sector=16833880
Jul 29 22:21:19 uways kernel: end_request: I/O error, dev 16:04 (hdc), sector
16833880

Version-Release number of selected component (if applicable):

Linux uways.hackvan.net 2.4.20-18.9 #1 Thu May 29 06:54:41 EDT 2003 i686 athlon
i386 GNU/Linux
Comment 1 Bugzilla owner 2004-09-30 11:41:22 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.